Azure credentials - Create
Create Azure credentials into a specified project.
POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| name | true | string | Name of the azure credential in Evolution Platform |
| description | false | string | Description of the azure credential |
| subscription | true | string | The subscription credentials which uniquely identify the Microsoft Azure subscription. |
| tenant | true | string (UUID) | The unique identifier of the Azure Active Directory tenant associated with the subscription. |
| client | true | string (UUID) | The identifier of the application registered in Azure Active Directory for authentication. |
| client | true | string | The secret associated with the application, used to authenticate the application with Azure. |
| expiration | false | string (date) | The expiration date of the authentication token or client secret. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created | Credentials | POST successful. The operation returns the created credentials. |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Response content
| Name | Type | Description |
|---|---|---|
| id | uuid | Identifier of the azure credential in Evolution Platform |
| projectId | string | Identifier of the project in Evolution Platform |
| name | string | Name of the azure credential in Evolution Platform |
| csp | string | Name of the Cloud Service Provider (CSP) |
| description | string | Description of the azure credential |
| projectName | string | Name of the project in Evolution Platform |
| expiration | string | The expiration date of the authentication token or client secret. |
Security
Type: HTTP Bearer
Token format: JWT
Header: Authorization: Bearer YOUR_ACCESS_TOKEN
Examples
Request
POST https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/projectId/azure/credentials
{
"name":"CredentialsAzure",
"description":"This set of credentials allow provisionning on Azure",
"subscriptionId": "YOUR_SUBSCRIPTION_ID",
"tenantId": "YOUR_TENANT_UUID",
"clientId": "YOUR_CLIENT_UUID",
"clientSecret": "YOUR_CLIENT_SECRET",
"expirationDate":"2027-01-31"
}
Sample response
Status code: 201 (Created)
{
"id": "29f85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"CredentialsAzure",
"csp":"AZURE",
"description":"This set of credentials allow provisionning on Azure",
"projectName": "orchestrator",
"expirationDate":"2025-06-15"
}